Subject: RE: [rohc] rohc complexity

From: "West, Mark (ITN)" <[email-masked]>
Date: Mon, 7 Oct 2002 00:35:27 +0100

Hi Parshu,

I'm not sure what would constitute 'typical' -- there are quite a few implementation choices in ROHC that would have a significant effect on memory and processor usage.

However, for the record, we have a (partial) RFC 3095 implementation that weighs in at around 200kbytes code size (stripped executable on Linux/x86).  Our current EPIC implementation is around the same (210kbyte).

Memory usage per context at the compressor (and decompressor, although this is less) is dependent upon the number of contexts that can be active and (for the compressor) the size of the context history. 

I'm not really in a position to comment directly on ROHC processing load, since our implementation is incomplete, and heavily based on some earlier EPIC work in any event.

It is true that you could implement ROHC-RTP with EPIC; but you don't have to!  (One part of EPIC is about generating packet formats - so from that point of view you could get EPIC to generate the ROHC packets.  The other part is about offering a parameterisable compression/decompression engine - and that's obviously an implementation choice.  Like I say, our ROHC implementation has parts in common with one of our EPIC implementations).

Recently we've been running EPIC-lite with a '3095-like' profile (i.e. it achieves roughly the same result, but doesn't attempt to be bit-wise compatible).  So far as performance goes, we're currently running at <20us for compression and <15us for decompression.  I don't believe that this is more 'intensive' than ROHC RTP.  And, of course, it's generic.

Obviously (and I freely admit to being biased ;-) I hope that EPIC(-lite) will be adopted as a part of future header compression solutions, however that doesn't have any impact on RFC 3095, which you can implement in any way that you see fit (including using EPIC)!

Cheers,

Mark.

> -----Original Message-----
> From: Parshuram Rao [mailto:[email-masked]]
> Sent: 30 September 2002 14:11
> To: [email-masked]
> Subject: [rohc] rohc complexity
> 
> 
> Hello,
> 
> I have a couple of questions about the implementation aspect 
> of ROHC.Any 
> help will be much appreciated.
> 
> 1)What are the typical values for the memory and processor 
> requirements for 
> a ROHC implementation?
> 
> 2)I've seen some values for an EPIC based ROHC implementation, but I 
> understand such an implementation will be more intensive.This 
> was a while 
> ago - I don't know which implementation is more efficient 
> now.Is EPIC going 
> to become part of an ROHC design?
> 
> Once again, thanks.
> Parshu.
> 
> 
> 
> 
> _________________________________________________________________
> Join the world's largest e-mail service with MSN Hotmail. 
> http://www.hotmail.com
> 
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/rohc
>